import { defineComponent as E, ref as d, reactive as T, readonly as P, resolveComponent as v, openBlock as j, createElementBlock as B, createElementVNode as u, withKeys as G, createVNode as o, unref as t, withCtx as a, createTextVNode as _, toDisplayString as Z, isRef as H, normalizeStyle as J, nextTick as M, pushScopeId as W, popScopeId as Q } from "/Users/qiweicun/Desktop/vscode/mis-component-vue3/node_modules/vue/dist/vue.runtime.esm-bundler.js";
import { message as y } from "/Users/qiweicun/Desktop/vscode/mis-component-vue3/node_modules/ant-design-vue/es/index.js";
import { S as X } from "./types-b6ebfd92.mjs";
import { l as Y } from "./index-9dd01913.mjs";
import { s as O } from "./index-8ab0e4d1.mjs";
import { _ as ee } from "./_plugin-vue_export-helper-dad06003.mjs";
const U = (C) => (W("data-v-820c4a5d"), C = C(), Q(), C), oe = { class: "login-wrapper" }, te = /* @__PURE__ */ U(() => /* @__PURE__ */ u("div", { class: "title" }, "欢迎注册", -1)), se = { class: "submit" }, ae = { class: "link-wrapper" }, re = { class: "img-verify-code-content" }, ie = /* @__PURE__ */ U(() => /* @__PURE__ */ u("h3", null, "请输入验证码", -1)), ne = { class: "img-wrapper" }, le = 180, de = /* @__PURE__ */ E({
  __name: "index",
  emits: ["update:status"],
  setup(C, { emit: D }) {
    const r = d({
      username: "",
      password: "",
      phone: "",
      verifyCode: ""
    }), l = T({
      loading: !1,
      verifyCodeDisabled: !1,
      modelVisible: !1,
      getVerifyCodeText: "获取验证码"
    }), N = P({
      username: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入用户名"
        },
        {
          trigger: "blur",
          pattern: /^[a-zA-Z0-9]{4,10}$/,
          message: "用户名4到16位，由数字和字母组成"
        }
      ],
      password: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入密码"
        },
        {
          trigger: "blur",
          pattern: /^.*(?=.{6,16})(?=.*\d)(?=.*[A-Z])(?=.*[a-z]).*$/,
          message: "密码6到16位，包含数字和大小写字母"
        }
      ],
      phone: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入手机号码"
        },
        {
          trigger: "blur",
          pattern: /^1(3[0-9]|4[5,7]|5[0,1,2,3,5,6,7,8,9]|6[2,5,6,7]|7[0,1,2,3,5,6,7,8]|8[0-9]|9[1,5,8,9])\d{8}$/,
          message: "请输入正确的手机号码"
        }
      ],
      verifyCode: [
        {
          trigger: "blur",
          required: !0,
          message: "请输入验证码"
        }
      ]
    }), w = d(), q = D, V = () => {
      var s;
      (s = w.value) == null || s.validate().then(async (e) => {
        l.loading = !0;
        try {
          const { username: i, password: c, phone: f, verifyCode: p } = e;
          if (!await Y.register(i, i, c, f, p))
            return;
          y.success("注册成功"), r.value = {
            username: "",
            password: "",
            phone: "",
            verifyCode: ""
          };
        } catch (i) {
          y.error(i.msg);
        } finally {
          l.loading = !1;
        }
      });
    }, A = {
      imgVerifyCode: [
        {
          required: !0,
          message: "请输入验证码"
        }
      ]
    }, b = d(!1), I = d(""), S = d(""), m = d(!1), R = d(), h = d(), g = T({
      imgVerifyCode: ""
    }), L = () => {
      var s;
      (s = w.value) == null || s.validateFields("phone").then(async () => {
        m.value = !0, x(), M(() => {
          var e;
          (e = h.value) == null || e.focus();
        });
      });
    }, x = async () => {
      const s = await O.getImageCode();
      s && (I.value = s.imgKey, S.value = s.base64);
    }, $ = () => {
      m.value = !1;
    }, z = () => {
      var s;
      (s = R.value) == null || s.validateFields().then(
        async () => {
          var e;
          b.value = !0;
          try {
            await O.getResetPasswdSmsCode(
              r.value.phone,
              I.value,
              g.imgVerifyCode
            ), y.success("短信验证码已发送"), m.value = !1, F();
          } catch (i) {
            y.error(`验证码错误：${i.msg || "未知错误"}`), x(), g.imgVerifyCode = "", (e = h.value) == null || e.focus();
          } finally {
            b.value = !1;
          }
        },
        (e) => {
          y.error(JSON.stringify(e));
        }
      );
    }, F = () => {
      g.imgVerifyCode = "", l.verifyCodeDisabled = !0;
      let s = le;
      const e = setInterval(() => {
        l.getVerifyCodeText = `${s}秒后重新获取`, s -= 1, s === 0 && (l.getVerifyCodeText = "获取验证码", l.verifyCodeDisabled = !1, clearInterval(e));
      }, 1e3);
    };
    return (s, e) => {
      const i = v("svg-icon"), c = v("a-input"), f = v("a-form-item"), p = v("a-button"), k = v("a-form"), K = v("a-modal");
      return j(), B("div", oe, [
        te,
        u("div", {
          class: "body",
          onKeydown: G(V, ["enter"])
        }, [
          o(k, {
            model: t(r),
            ref_key: "registerRef",
            ref: w,
            rules: t(N)
          }, {
            default: a(() => [
              o(f, { name: "username" }, {
                default: a(() => [
                  o(c, {
                    value: t(r).username,
                    "onUpdate:value": e[0] || (e[0] = (n) => t(r).username = n),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "用户名4到16位，由数字和字母组成"
                  }, {
                    prefix: a(() => [
                      o(i, { icon: "UserOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(f, { name: "password" }, {
                default: a(() => [
                  o(c, {
                    type: "password",
                    value: t(r).password,
                    "onUpdate:value": e[1] || (e[1] = (n) => t(r).password = n),
                    allowClear: "",
                    class: "input-item",
                    placeholder: "密码6到16位，包含数字和大小写字母"
                  }, {
                    prefix: a(() => [
                      o(i, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(f, { name: "phone" }, {
                default: a(() => [
                  o(c, {
                    maxLength: "11",
                    value: t(r).phone,
                    "onUpdate:value": e[2] || (e[2] = (n) => t(r).phone = n),
                    class: "input-item",
                    allowClear: "",
                    placeholder: "手机号码"
                  }, {
                    prefix: a(() => [
                      o(i, { icon: "PhoneOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"])
                ]),
                _: 1
              }),
              o(f, { name: "verifyCode" }, {
                default: a(() => [
                  o(c, {
                    value: t(r).verifyCode,
                    "onUpdate:value": e[3] || (e[3] = (n) => t(r).verifyCode = n),
                    class: "input-item verify-code",
                    placeholder: "验证码"
                  }, {
                    prefix: a(() => [
                      o(i, { icon: "LockOutlined" })
                    ]),
                    _: 1
                  }, 8, ["value"]),
                  o(p, {
                    class: "btn-verify-code",
                    type: "link",
                    loading: t(b),
                    onClick: L,
                    disabled: t(l).verifyCodeDisabled
                  }, {
                    default: a(() => [
                      _(Z(t(l).getVerifyCodeText), 1)
                    ]),
                    _: 1
                  }, 8, ["loading", "disabled"])
                ]),
                _: 1
              }),
              u("div", se, [
                o(p, {
                  type: "primary",
                  block: "",
                  onClick: V,
                  class: "input-item",
                  loading: t(l).loading
                }, {
                  default: a(() => [
                    _(" 注册 ")
                  ]),
                  _: 1
                }, 8, ["loading"])
              ]),
              u("div", ae, [
                o(p, {
                  class: "btn-forget-passwd",
                  type: "link",
                  onClick: e[4] || (e[4] = () => q("update:status", t(X).SIGNING))
                }, {
                  default: a(() => [
                    _("立即登录")
                  ]),
                  _: 1
                })
              ])
            ]),
            _: 1
          }, 8, ["model", "rules"]),
          o(K, {
            class: "img-verify-code-wrapper",
            open: t(m),
            "onUpdate:open": e[6] || (e[6] = (n) => H(m) ? m.value = n : null),
            footer: null,
            onCancel: $
          }, {
            default: a(() => [
              u("div", re, [
                ie,
                u("div", ne, [
                  u("img", {
                    class: "img-verify-code",
                    style: J({ "background-image": `url(${t(S)})` })
                  }, null, 4),
                  o(p, {
                    class: "btn-change-code",
                    type: "link",
                    onClick: x
                  }, {
                    default: a(() => [
                      _("看不清，换一个")
                    ]),
                    _: 1
                  })
                ]),
                o(k, {
                  ref_key: "codeFormRef",
                  ref: R,
                  model: t(g),
                  rules: A
                }, {
                  default: a(() => [
                    o(f, {
                      class: "input-img-code",
                      name: "imgVerifyCode"
                    }, {
                      default: a(() => [
                        o(c, {
                          ref_key: "verifyInputRef",
                          ref: h,
                          value: t(g).imgVerifyCode,
                          "onUpdate:value": e[5] || (e[5] = (n) => t(g).imgVerifyCode = n),
                          maxLength: 4,
                          allowClear: !0,
                          placeholder: "验证码"
                        }, null, 8, ["value"])
                      ]),
                      _: 1
                    }),
                    o(p, {
                      type: "primary",
                      block: "",
                      onClick: z,
                      class: "input-item",
                      loading: t(b)
                    }, {
                      default: a(() => [
                        _(" 确定 ")
                      ]),
                      _: 1
                    }, 8, ["loading"])
                  ]),
                  _: 1
                }, 8, ["model"])
              ])
            ]),
            _: 1
          }, 8, ["open"])
        ], 32)
      ]);
    };
  }
});
const ue = /* @__PURE__ */ ee(de, [["__scopeId", "data-v-820c4a5d"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/Login/components/Register/index.vue"]]), _e = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: ue
}, Symbol.toStringTag, { value: "Module" }));
export {
  ue as R,
  _e as _
};
