import { defineComponent as V, ref as o, reactive as B, onMounted as E, resolveComponent as y, openBlock as m, createElementBlock as F, createVNode as v, unref as t, isRef as I, withCtx as T, createElementVNode as $, Fragment as U, renderList as j, createBlock as q, createTextVNode as H, toDisplayString as K, createCommentVNode as M, nextTick as P } from "/Users/qiweicun/Desktop/vscode/mis-component-vue3/node_modules/vue/dist/vue.runtime.esm-bundler.js";
import { G as A } from "./index-590a92c2.mjs";
import { G as Q } from "./index-7a1847ff.mjs";
import { d as u } from "./index-a1fa680a.mjs";
import { message as d } from "/Users/qiweicun/Desktop/vscode/mis-component-vue3/node_modules/ant-design-vue/es/index.js";
import { _ as J } from "./_plugin-vue_export-helper-dad06003.mjs";
const W = [
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "name",
        label: "规则名称"
      }
    }
  },
  {
    operator: "=",
    renderer: {
      type: "TextField",
      options: {
        field: "rule_value",
        label: "规则值"
      }
    }
  }
], X = [
  { name: "name", label: "规则名称", align: "center" },
  { name: "rule_table", label: "规则表" },
  { name: "rule_column", label: "规则字段", align: "center" },
  { name: "rule_value", label: "规则值", align: "center" },
  {
    name: "rule_conditions",
    label: "条件规则",
    align: "center",
    width: 100
  }
], Y = [
  { label: "添加", key: "add", icon: "PlusOutlined" }
], Z = [
  { label: "编辑", key: "edit" },
  { label: "删除", key: "delete", color: "#f00", confirm: !0 }
], ee = {
  dicts: [
    {
      name: "规则条件",
      type: "enum",
      items: ["<=", "NOT LIKE", "LIKE", "CONTAINS", "<", "!=", "=", ">", ">="]
    }
  ],
  layout: {
    itemOptions: {
      labelSpan: 6,
      wrapperSpan: 18
    },
    children: [
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则名称",
          required: !0,
          field: "name"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则表",
          required: !0,
          readonly: !0,
          field: "rule_table"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则字段",
          required: !0,
          field: "rule_column"
        }
      },
      {
        type: "SelectField",
        options: {
          type: "text",
          label: "规则条件",
          required: !0,
          field: "rule_conditions",
          dictRef: "规则条件"
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          label: "规则值",
          required: !0,
          field: "rule_value"
        }
      }
    ]
  },
  dictRefs: {
    rule_conditions: "规则条件"
  },
  validators: {
    fieldValidators: [
      {
        label: "规则名称",
        validators: [
          {
            type: "required"
          }
        ],
        field: "name"
      },
      {
        label: "规则字段",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_column"
      },
      {
        label: "规则条件",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_conditions"
      },
      {
        label: "规则值",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_value"
      },
      {
        label: "规则表",
        validators: [
          {
            type: "required"
          }
        ],
        field: "rule_table"
      }
    ],
    subformValidators: []
  }
}, w = {
  提交数据: {
    name: "查看本人提交数据",
    rule_column: "create_by",
    rule_conditions: "=",
    rule_value: "${userId}"
  },
  省级数据: {
    name: "查看省级数据列表",
    rule_column: "省编码",
    rule_conditions: "=",
    rule_value: "${pcode}"
  },
  市级数据: {
    name: "查看市级数据列表",
    rule_column: "市编码",
    rule_conditions: "=",
    rule_value: "${ccode}"
  },
  县级数据: {
    name: "查看县级数据列表",
    rule_column: "县编码",
    rule_conditions: "=",
    rule_value: "${fcode}"
  }
}, te = { class: "rule-max" }, re = { class: "button-max" }, le = /* @__PURE__ */ V({
  name: "FormRule",
  __name: "index",
  props: {
    formName: { type: String, required: !0 }
  },
  setup(C) {
    const c = C, g = o([]), a = o({ page: 1, size: 10, rule_table: c.formName }), x = o(0), f = o(!1), n = o(!1), _ = o(!1), b = o(!0), k = o(""), R = o(), s = B({
      formDef: ee,
      formRecordData: {
        rule_table: c.formName
      }
    }), p = async () => {
      f.value = !0;
      try {
        const e = await u.getRules(a.value);
        g.value = e.list, x.value = e.total;
      } catch (e) {
        d.error(e.msg);
      }
      f.value = !1;
    }, h = async () => {
      try {
        const e = await u.getSupportRelation();
        s.formDef.dicts[0].items = e;
      } catch (e) {
        console.log("error :>> ", e);
      }
    }, O = ({ key: e, data: r }) => {
      switch (k.value = e, e) {
        case "add":
          s.formRecordData = {
            rule_table: c.formName
          }, n.value = !0;
          break;
        case "edit":
          s.formRecordData = r, n.value = !0;
          break;
        case "delete":
          D(r);
          break;
      }
    }, S = (e) => {
      b.value = !1, s.formRecordData = { ...s.formRecordData, ...w[e] }, P(() => {
        b.value = !0;
      });
    }, N = async () => {
      _.value = !0;
      const { data: e, state: r } = await R.value.submit();
      if (r)
        try {
          e._id ? await u.updateRule(e._id, e) : await u.addRule(e), d.success("操作成功！"), a.value.page = 1, p(), n.value = !1;
        } catch (i) {
          d.error(i.msg);
        }
      _.value = !1;
    }, D = async ({ _id: e }) => {
      try {
        await u.deleteRule(e), d.success("删除成功！"), a.value.page = 1, p();
      } catch (r) {
        d.error(r.msg);
      }
    }, z = (e) => {
      const r = {
        page: 1,
        size: 10,
        rule_table: c.formName
      };
      e.forEach((i) => {
        r[i.name] = i.value;
      }), a.value = r, p();
    };
    return E(() => {
      p(), h();
    }), (e, r) => {
      const i = y("a-button"), L = y("GTForm"), G = y("a-modal");
      return m(), F("div", te, [
        v(A, {
          fields: t(W),
          onSearch: z,
          "list-width": 260
        }, null, 8, ["fields"]),
        v(Q, {
          fields: t(X),
          data: t(g),
          tableOperators: t(Y),
          recordOperators: t(Z),
          "page-current": t(a).page,
          "onUpdate:pageCurrent": r[0] || (r[0] = (l) => t(a).page = l),
          "page-size": t(a).size,
          "onUpdate:pageSize": r[1] || (r[1] = (l) => t(a).size = l),
          onRecordOperatorClick: O,
          onTableOperatorClick: O,
          total: t(x),
          "y-offset": 280,
          loading: t(f)
        }, null, 8, ["fields", "data", "tableOperators", "recordOperators", "page-current", "page-size", "total", "loading"]),
        v(G, {
          destroyOnClose: "",
          maskClosable: !1,
          getContainer: ".rule-max",
          class: "rule-model",
          open: t(n),
          "onUpdate:open": r[2] || (r[2] = (l) => I(n) ? n.value = l : null),
          style: { width: "600px" },
          onOk: N,
          confirmLoading: t(_),
          title: t(k) == "add" ? "新增规则" : "编辑规则"
        }, {
          default: T(() => [
            $("div", re, [
              (m(!0), F(U, null, j(Object.keys(t(w)), (l) => (m(), q(i, {
                type: "primary",
                key: l,
                onClick: (ae) => S(l)
              }, {
                default: T(() => [
                  H(K(l), 1)
                ]),
                _: 2
              }, 1032, ["onClick"]))), 128))
            ]),
            t(b) ? (m(), q(L, {
              key: 0,
              ref_key: "formBox",
              ref: R,
              options: t(s)
            }, null, 8, ["options"])) : M("", !0)
          ]),
          _: 1
        }, 8, ["open", "confirmLoading", "title"])
      ]);
    };
  }
});
const oe = /* @__PURE__ */ J(le, [["__scopeId", "data-v-fb379215"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/FormDesign/components/FormRule/index.vue"]]), pe = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: oe
}, Symbol.toStringTag, { value: "Module" }));
export {
  oe as F,
  pe as _
};
